Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type RowId

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface RowId

Support for ROWID mapping feature of Hibernate.

Required Element Summary
`String` | `value` Names the ROWID identifier

Element Detail

### value

    public abstract String value

  Names the ROWID identifier

  Returns:
    The ROWID identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.